Returns the format of a particular image in a sequence

- « Imagick::getImageFilename

- Imagick::getImageGamma »

- PHP Manual
- Imagick
- Returns the format of a particular image in a sequence

# Imagick::getImageFormat

(PECL imagick 2, PECL imagick 3)

Imagick::getImageFormat — Returns the format of a particular image in a sequence

### Description

public Imagick::getImageFormat(): string

Returns the format of a particular image in a sequence.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the image format on success.

### Errors/Exceptions

Throws ImagickException on error.